openSUSE Security Update: Security update for dbus-1
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:1204-1
Rating:             moderate
References:         #1172505 
Cross-References:   CVE-2020-12049
CVSS scores:
                    CVE-2020-12049 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
                    CVE-2020-12049 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

Affected Products:
                    openSUSE Leap 15.2
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for dbus-1 fixes the following issues:

   - CVE-2020-12049: truncated messages lead to resource exhaustion.
     (bsc#1172505)

   This update was imported from the SUSE:SLE-15-SP1:Update update project.


Special Instructions and Notes:

   Please reboot the system after installing this update.

Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.2:

      zypper in -t patch openSUSE-2021-1204=1



Package List:

   - openSUSE Leap 15.2 (i586 x86_64):

      dbus-1-1.12.2-lp152.6.6.1
      dbus-1-debuginfo-1.12.2-lp152.6.6.1
      dbus-1-debugsource-1.12.2-lp152.6.6.1
      dbus-1-devel-1.12.2-lp152.6.6.1
      dbus-1-x11-1.12.2-lp152.6.6.1
      dbus-1-x11-debuginfo-1.12.2-lp152.6.6.1
      dbus-1-x11-debugsource-1.12.2-lp152.6.6.1
      libdbus-1-3-1.12.2-lp152.6.6.1
      libdbus-1-3-debuginfo-1.12.2-lp152.6.6.1

   - openSUSE Leap 15.2 (x86_64):

      dbus-1-32bit-debuginfo-1.12.2-lp152.6.6.1
      dbus-1-devel-32bit-1.12.2-lp152.6.6.1
      libdbus-1-3-32bit-1.12.2-lp152.6.6.1
      libdbus-1-3-32bit-debuginfo-1.12.2-lp152.6.6.1

   - openSUSE Leap 15.2 (noarch):

      dbus-1-devel-doc-1.12.2-lp152.6.6.1


References:

   https://www.suse.com/security/cve/CVE-2020-12049.html
   https://bugzilla.suse.com/1172505